Package ru.bitel.bgbilling.plugins.cashcheck.common

# Class Check.STAG

java.lang.Object
java.util.AbstractMap<K,​V>
java.util.HashMap<java.lang.Integer,​java.lang.Object>
ru.bitel.bgbilling.plugins.cashcheck.common.Check.STAG

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.Integer,​java.lang.Object>`

Enclosing class:
  Check

    public static class Check.STAG
    extends java.util.HashMap<java.lang.Integer,​java.lang.Object>

Шорткат для установки сложных вложенных тегов в чек/позицию. По сути мэп такой же, с ограничениями по типам. используется в динкоде типа new Check.STAG(){{ tag(22666, 666); }} ключи - целые значения тегов, значения - String или Long

See Also:
  Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `STAG()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Check.STAG` | `fromJson​(java.lang.String svtag)` |
  `void` | `tag​(int tag, long value)` |
  `void` | `tag​(int tag, java.lang.String value)` |
  `java.lang.String` | `toJson()` |

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### STAG

    public STAG()

- ## Method Details

  - ### toJson

    public java.lang.String toJson()

  - ### fromJson

    public static Check.STAG fromJson​(java.lang.String svtag)

  - ### tag

    public void tag​(int tag, java.lang.String value)

  - ### tag

    public void tag​(int tag, long value)